Bug 1126006 - RFE: enable accessing snapshots from hadoop
Summary: RFE: enable accessing snapshots from hadoop
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhs-hadoop-install
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jeff Vance
QA Contact: BigData QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 15:08 UTC by Martin Kudlej
Modified: 2015-06-04 13:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-04 13:57:42 UTC


Attachments (Terms of Use)

Description Martin Kudlej 2014-08-01 15:08:31 UTC
Description of problem:
Now user can access volumes from hadoop in RW mode. I think it will be fine to enable same functionality for snapshots but only in RO mode.
It is not possible now by enable_vol.sh script. 

If it is needed to add some functionality also to plugin, please file BZ also for rhs-hadoop.

Version-Release number of selected component (if applicable):
glusterfs-3.6.0.25-1.el6rhs.x86_64
glusterfs-api-3.6.0.25-1.el6rhs.x86_64
glusterfs-cli-3.6.0.25-1.el6rhs.x86_64
glusterfs-fuse-3.6.0.25-1.el6rhs.x86_64
glusterfs-geo-replication-3.6.0.25-1.el6rhs.x86_64
glusterfs-libs-3.6.0.25-1.el6rhs.x86_64
glusterfs-rdma-3.6.0.25-1.el6rhs.x86_64
glusterfs-server-3.6.0.25-1.el6rhs.x86_64
gluster-nagios-addons-0.1.10-2.el6rhs.x86_64
gluster-nagios-common-0.1.3-2.el6rhs.noarch
hadoop-2.2.0.2.0.6.0-101.el6.x86_64
hadoop-client-2.2.0.2.0.6.0-101.el6.x86_64
hadoop-hdfs-2.2.0.2.0.6.0-101.el6.x86_64
hadoop-libhdfs-2.2.0.2.0.6.0-101.el6.x86_64
hadoop-lzo-0.5.0-1.x86_64
hadoop-lzo-native-0.5.0-1.x86_64
hadoop-mapreduce-2.2.0.2.0.6.0-101.el6.x86_64
hadoop-mapreduce-historyserver-2.2.0.2.0.6.0-101.el6.x86_64
hadoop-yarn-2.2.0.2.0.6.0-101.el6.x86_64
hadoop-yarn-nodemanager-2.2.0.2.0.6.0-101.el6.x86_64
hadoop-yarn-resourcemanager-2.2.0.2.0.6.0-101.el6.x86_64
rhs-hadoop-2.3.2-5.el6rhs.noarch
rhs-hadoop-install-1_34-1.el6rhs.noarch
samba-glusterfs-3.6.9-168.4.el6rhs.x86_64
vdsm-gluster-4.14.7.2-1.el6rhs.noarch

Comment 2 Jeff Vance 2014-08-01 16:27:11 UTC
Martin, what features need to be added to the installer to support snapshots? Also, is it reasonable to add support for snapshots in version 2.x of the installer? This version is post-Denali (only opportunistic for Denali).

Comment 3 Martin Kudlej 2014-08-08 14:08:51 UTC
As I've written above there is no way how to enable read-only snapshots by installer. There is script enable_vol.sh by which I can add new volume but I cannot use this script for snapshots. I'm not sure if we should add any functionality to plugin. I think this is for post Denali release.

Comment 4 Jeff Vance 2015-02-27 01:24:55 UTC
Martin, Is this enhancement request asking for enable_vol.sh to provide an interface to the gluster "snapshot create" and "snapshot activate" commands, including support for its description option? Should disable_vol also invoke "snapshot deactivate" and "snapshot delete"?

Is it reasonable to leave snapshots outside of the scope of rhs-hadoop-install?

Comment 6 RHEL Product and Program Management 2015-03-06 11:55:48 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.